package lib

import (
	"bytes"
	"fmt"
	"github.com/gen2brain/beeep"
	"os"
	"os/exec"
	"strings"
	"testing"
	"time"
)

func TestName(t *testing.T) {
	cmd := exec.Command("chcp")
	var b bytes.Buffer
	cmd.Stdout = &b
	cmd.Stderr = &b
	_ = cmd.Run()
	code := strings.Split(string(b.Bytes()), ":")[1]
	fmt.Printf("系统字符集编码为 : %v\n", code)
}

func TestBeeepBeep(t *testing.T) {
	for i := 0; i < 10; i++ {
		go func(freq float64) {
			err := beeep.Beep(freq, beeep.DefaultDuration)
			if err != nil {
				panic(err)
			}
		}(beeep.DefaultFreq + (float64(i * 100)))
	}
}

func TestBeeepNotify(t *testing.T) {
	err := beeep.Notify("测试", "测试", "")
	if err != nil {
		panic(err)
	}

	time.Sleep(1 * time.Second)
}

func TestEnv(t *testing.T) {
	for _, e := range os.Environ() {
		parts := strings.SplitN(e, "=", 2)

		if len(parts) != 2 {
			continue
		} else {
			println(parts[0], parts[1])
		}
	}
}

func TestJavaEnv(t *testing.T) {
	fmt.Println(os.Getenv("java_home"))
	fmt.Println(os.Getenv("JAVA_HOME"))
}
